# Shadow
shadow = true;
no-dnd-shadow = true;
no-dock-shadow = true;
clear-shadow = true;
shadow-radius = 7.0;
shadow-offset-x = -7;
shadow-offset-y = -7;
shadow-opacity = 0.60;
shadow-ignore-shaped = false;
detect-rounded-corners = true;

# Opacity
menu-opacity = 1.0;
inactive-opacity = 1.0;
active-opacity = 1.0;
inactive-opacity-override = false;

# Fade
fading = true;
fade-delta = 7.0;
fade-in-step = 0.03;
fade-out-step = 0.028;
alpha-step = 0.06;

# Backend
backend = "glx";
vsync = "opengl-swc";
glx-no-stencil = true;
paint-on-overlay = true;
mark-wmwin-focused = true;
unredir-if-possible = true;
detect-client-opacity = true;

opacity-rule = [
    "0:_NET_WM_STATE@:32a * = '_NET_WM_STATE_HIDDEN'",
    "90:class_g = 'XTerm' && focused",
    "75:class_g = 'XTerm' && !focused"
];

shadow-exclude = [
    "! name~=''",
    "name *?= 'Notification'",
    "name = 'xfce4-notifyd'",
    "name *= 'VLC'",
    "name *= 'compton'",
    "class_g *?= 'jgmenu'",
    "class_g *?= 'VirtualBox'",
    "class_g *?= 'Conky'",
    "class_g *?= 'Notify-osd'",
    "class_g ?= 'Xfce4-notifyd'",
    "class_g ?= 'Xfce4-power-manager'",
    "class_g *?= 'cairo-dock'",
    "class_g *?= 'trayer'",
    "class_g *?= 'i3-frame'",
    "class_g *?= 'Firefox' && argb",
    "class_g *?= 'navigator'",
    "class_g *?= 'Cairo-clock'",
    "class_g *?= 'Cairo-dock'",
    "class_g *?= 'plank'",
    "class_g *?= 'Docky'",
    "_GTK_FRAME_EXTENTS@:c",
    "_NET_WM_STATE@:32a *= '_NET_WM_STATE_HIDDEN'"
];

focus-exclude = [
    "class_g *?= 'Cairo-clock'",
    "class_g *?= 'Virtualbox'",
    "class_g *?= 'trayer'",
    #"_NET_WM_STATE@:32a *= '_NET_WM_STATE_HIDDEN'",
    "name *?= 'Authy'"
];

# menu        = { shadow = false; };
dropdown_menu = { shadow = false; };
popup_menu    = { shadow = false; };
utility       = { shadow = false; };


wintypes:
{
    tooltip = { fade = true; shadow = false; focus = true; };
};
no-fading-openclose = true;
frame-opacity = 0.0;
blur-background-fixed = false;
use-ewmh-active-win = true;
